#include <stdio.h>

main()        /* Inkrement-Operatoren */
{       int x , y, z;

        x = y = 3;
        z = x++ - 2;  
        printf("x:%d y:%d z:%d\n",x,y,z);
        z = -x++ + ++y; 
        printf("x:%d y:%d z:%d\n",x,y,z);
        z = x / ++x; /* ++ hat Vorrang vor / */
        printf("x:%d y:%d z:%d\n",x,y,z);
}
